package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

public class AtuScriptInfoResultDto {
    @ApiModelProperty("是否存在PC/接口脚本")
    private boolean hasPC = false;

    @ApiModelProperty("是否存在移动脚本")
    private boolean hasMob = false;

    @ApiModelProperty("是否存在安卓脚本")
    private boolean hasAndroid = false;
    ;

    @ApiModelProperty("是否存在IOS脚本")
    private boolean hasIOS = false;
    ;

    @ApiModelProperty("是否存在B/S脚本")
    private boolean hasBS = false;
    ;

    @ApiModelProperty("是否存在C/S脚本")
    private boolean hasCS = false;
    ;

    @ApiModelProperty("是否存在接口脚本")
    private boolean hasAPI = false;
    ;

    @ApiModelProperty("脚本Map")
    private Map<String, String> scriptMap;

    public Map<String, String> getScriptMap() {
        return scriptMap;
    }

    public void setScriptMap(Map<String, String> scriptMap) {
        this.scriptMap = scriptMap;
    }

    public boolean isHasPC() {
        return hasPC;
    }

    public void setHasPC(boolean hasPC) {
        this.hasPC = hasPC;
    }

    public boolean isHasMob() {
        return hasMob;
    }

    public void setHasMob(boolean hasMob) {
        this.hasMob = hasMob;
    }

    public boolean isHasAndroid() {
        return hasAndroid;
    }

    public void setHasAndroid(boolean hasAndroid) {
        this.hasAndroid = hasAndroid;
    }

    public boolean isHasIOS() {
        return hasIOS;
    }

    public void setHasIOS(boolean hasIOS) {
        this.hasIOS = hasIOS;
    }

    public boolean isHasBS() {
        return hasBS;
    }

    public void setHasBS(boolean hasBS) {
        this.hasBS = hasBS;
    }

    public boolean isHasCS() {
        return hasCS;
    }

    public void setHasCS(boolean hasCS) {
        this.hasCS = hasCS;
    }

    public boolean isHasAPI() {
        return hasAPI;
    }

    public void setHasAPI(boolean hasAPI) {
        this.hasAPI = hasAPI;
    }
}
